{% extends "base.html" %}{% load i18n static %}
{% block title %}{% trans "Sign Up" %}{% endblock %}
{% block standardcontent %}


<style>
  .bd-placeholder-img {
    font-size: 1.125rem;
    text-anchor: middle;
    -webkit-user-select: none;
    -moz-user-select: none;
    user-select: none;
  }

  @media (min-width: 768px) {
    .bd-placeholder-img-lg {
      font-size: 3.5rem;
    }
  }
  html,
  body {
    height: 100%;
    text-align: center;
  }

  body {
    display: flex;
    align-items: center;
    padding-top: 40px;
    padding-bottom: 40px;
    background-color: #f5f5f5;
  }

  .form-signin {
    width: 100%;
    max-width: 330px;
    padding: 15px;
    margin: auto;
  }

  .form-signin .checkbox {
    font-weight: 400;
  }

  .form-signin .form-floating:focus-within {
    z-index: 2;
  }

  .form-signin input[type="email"] {
    margin-bottom: -1px;
    border-bottom-right-radius: 0;
    border-bottom-left-radius: 0;
  }

  .form-signin button {
    margin-top: 15px;
    border-top-left-radius: 0;
    border-top-right-radius: 0;
  }

  .form-signin > form > p {
    text-align: left;
  }

</style>


<main class="form-signin">
  <form method="post">
    <img class="mb-4" src="{% static 'img/logo.png' %}" alt="logo" style="max-width: 60%;">
    {% csrf_token %}
    <h1>MoveAid</h1>
    <h3 class="h3 mb-3 fw-normal">{% trans "Sign Up" %}</h3>
    {{ form.errors }}
    <div class="form-floating">
      <input type="text" class="form-control" name="email" id="floatingEmail" autocapitalize="none" autocomplete="username" required autofocus placeholder="name@example.com">
      <label for="floatingEmail">{% trans "Email" %}</label>
    </div>
    <div class="form-floating">
      <input type="text" class="form-control" name="username" id="floatingUsername" autocapitalize="none" autocomplete="username" required autofocus placeholder="name@example.com">
      <label for="floatingUsername">{% trans "Username" %}</label>
    </div>

    <div class="form-floating">
      <input type="password" class="form-control" name="password1" id="floatingPassword" required autocapitalize="none" autocomplete="current-password" placeholder="Password">
      <label for="floatingPassword">{% trans "Password" %}</label>
    </div>
    <div class="form-floating">
      <input type="password" class="form-control" name="password2" id="floatingRepeatPassword" required autocapitalize="none" autocomplete="current-password" placeholder="Password">
      <label for="floatingRepeatPassword">{% trans "Repeat Password" %}</label>
    </div>

    <!--<div class="checkbox mb-3">
        <label>
            <input type="checkbox" value="remember-me"> Remember me
        </label>
    </div>-->
    <button class="w-100 btn btn-lg btn-primary" type="submit">{% trans "Sign Up" %}</button>
    <p class="mt-3">Already a member? <a href="{% url 'login' %}">Authenticate Here</a></p>
  </form>

  <p class="mt-5 mb-3 text-muted">&copy; 2021 <a href="https://gitlab.com/lugbz/moveaid/server/-/blob/master/AUTHORS">LugBZ et al.</a></p>
</main>


{% endblock %}